@echo off
set CPPENV="C:\vc2022\Common7\Tools\VsDevCmd.bat"

echo %CPPENV%


set CURRDIR=%~dp0%

rem remove trailling slash !
IF %CURRDIR:~-1%==\ SET CURRDIR=%CURRDIR:~0,-1%


cd %~dp0%


mkdir workBin
cd workBin

cd

echo "Create Solution-File for Visual Studio 2022"
echo "#"

cmake ..\..\.. -G "Visual Studio 17 2022"
if %errorlevel% neq 0 (
	echo cmake problems
	pause
	exit 0
)


echo ********************************************************
echo *** cmake DONE
echo ********************************************************
echo starting msbuild now


call %CPPENV%


echo "Make Releases"


msbuild  -maxcpucount:8 testPP.sln /p:Configuration=Release
if %errorlevel% neq 0 (
	echo msbuild problems
	pause
	exit 0
)


copy Release\testPP.exe %CURRDIR%

cd %CURRDIR%

echo ------------------------------------------------------------

dir/B 

echo ------------------------------------------------------------
echo Now you can start testPP.exe from the command line
echo Or you can click on run_testPP.bat
echo -

pause
